
D4Science Infrastructure - Incident #12043

ckan-grsf-admin2: more memory is needed

Jun 26, 2018 02:48 PM - Roberto Cirillo

Status: Rejected Start date: Jun 26, 2018

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

The smartgears container has been killed by system this night at 3 a.m.

I've tried to restart the container but the container doesn't start and the cattalina.out show the following:

# There is insufficient memory for the Java Runtime Environment to continue.

# Native memory allocation (mmap) failed to map 1973026816 bytes for committing reserved memory.

# An error report file with more information is saved as:

# /home/gcube/tomcat/hs_err_pid19761.log

Java HotSpot(TM) 64-Bit Server VM warning: INFO: os::commit_memory(0x000000008a660000, 1973026816,

 0) failed; error='Cannot allocate memory' (errno=12)

#

# There is insufficient memory for the Java Runtime Environment to continue.

# Native memory allocation (mmap) failed to map 1973026816 bytes for committing reserved memory.

# An error report file with more information is saved as:

# /home/gcube/tomcat/hs_err_pid19838.log

 Is it possible to increase the memory on this host?

Related issues:

Is duplicate of D4Science Infrastructure - Task #11982: Increase RAM on ckan-... Closed Jun 19, 2018

History

#1 - Jun 26, 2018 02:53 PM - Andrea Dell'Amico

- Is duplicate of Task #11982: Increase RAM on ckan-grsf-admin2.d4science.org added

#2 - Jun 26, 2018 02:53 PM - Andrea Dell'Amico

- Status changed from New to Rejected

Duplicate of #11982, waiting for feedback from @francesco.mangiacrapa@isti.cnr.it 

#3 - Jun 26, 2018 03:05 PM - Luca Frosini

- Related to Bug #12036: Error while updating GRSF records added

#4 - Jun 26, 2018 03:09 PM - Luca Frosini

- Related to deleted (Bug #12036: Error while updating GRSF records)
